{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/nas0.nix
    ../../features/podman.nix
    ../../features/telemetry/transmission.nix

    ./transmission.nix
    ./arr.nix
    ./nginx.nix
  ];

  networking.hostName = "seedbox";
  system.stateVersion = "25.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  internal.nas0.useSMB = true;
  internal.nas0.lazyMount = true;
}
